Freeciv-3.2: goto_map Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
goto_map Struct Reference

## Data Fields

struct unit * | focus
struct part * | parts
int | num_parts
union { |
struct { |
int initial_turns |
} connect |
struct { |
struct pf_path * return_path |
} patrol |
}; |  |
struct pf_parameter | template

## Detailed Description

Definition at line 59 of file goto.c.

## Field Documentation

## ◆ [union]

union { ... } goto_map

## ◆ [struct]

struct { ... } goto_map::connect

Referenced by goto_fill_parameter_full(), goto_get_turns(), and goto_tile_state().

## ◆ focus

struct unit* goto_map::focus

Definition at line 60 of file goto.c.

Referenced by goto_map_new(), and goto_map_unit().

## ◆ initial_turns

int goto_map::initial_turns

Definition at line 65 of file goto.c.

Referenced by goto_fill_parameter_full(), goto_get_turns(), and goto_tile_state().

## ◆ num_parts

int goto_map::num_parts

Definition at line 62 of file goto.c.

Referenced by add_part(), goto_add_waypoint(), goto_get_turns(), goto_map_free(), goto_map_new(), goto_pop_waypoint(), goto_tile_state(), remove_last_part(), reset_last_part(), send_connect_route(), send_goto_route(), send_patrol_route(), and update_last_part().

## ◆ parts

struct part* goto_map::parts

Definition at line 61 of file goto.c.

Referenced by add_part(), goto_add_waypoint(), goto_get_turns(), goto_map_free(), goto_map_new(), goto_pop_waypoint(), goto_tile_state(), remove_last_part(), reset_last_part(), send_connect_route(), send_goto_route(), send_patrol_route(), and update_last_part().

## ◆ [struct]

struct { ... } goto_map::patrol

Referenced by goto_fill_parameter_full(), goto_get_turns(), goto_map_free(), goto_tile_state(), send_patrol_route(), and update_last_part().

## ◆ return_path

struct pf_path* goto_map::return_path

Definition at line 68 of file goto.c.

Referenced by goto_fill_parameter_full(), goto_get_turns(), goto_map_free(), goto_tile_state(), send_patrol_route(), and update_last_part().

## ◆ template

struct pf_parameter goto_map::template

Definition at line 71 of file goto.c.

Referenced by add_part(), fill_parameter_part(), and goto_fill_parameter_full().